Page MenuHomePhabricator

Better transactionality for Flow undeletion
Closed, ResolvedPublic

Description

Follow up to rEFLW39ea2b9964f4: Use ArticleRevisionUndeleted instead of ArticleUndelete / T122262: Improve Flow deletion/undeletion resilience:

It now does a transaction per undeleted Flow revision. It would be better to do it per overall undeletion operation. However, the page ID is passed to ArticleRevisionUndeleted, and it can vary by archived revision.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 20 2016, 9:45 PM

Change 290360 had a related patch set uploaded (by Mattflaschen):
Refactor BoardMover so there is one transaction for all undeleted revs

https://gerrit.wikimedia.org/r/290360

Change 290360 merged by jenkins-bot:
Refactor BoardMover so there is one transaction for all undeleted revs

https://gerrit.wikimedia.org/r/290360

Etonkovidova added a subscriber: Etonkovidova.EditedAug 3 2016, 12:25 AM

Checked in betalabs - no new deletion issues have been found.

Clicking 'Delete' on Flow board page redirects to action=delete page that states that there are certain number of revision for this page, e.g. "You are about to delete Talk:ET1 along with all of its history." where "history" is a link to the page history. However, Flow page history does not clearly list those revisions (and, of course, there is no way to select a specific revision from the history page).

Wikitext pages have more transparent workflow for deletion - their history page is titled as e.g. "Revision history of Mavetuna5813" and allows selection of a certain version for deletion.

jmatazzoni closed this task as Resolved.Aug 8 2016, 7:16 PM